package com.sun.xml.internal.ws.api.message;

import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPMessage;
import java.io.IOException;
import java.io.OutputStream;
import java.io.InputStream;
import javax.xml.transform.Source;
import javax.activation.DataHandler;
import com.sun.istack.internal.NotNull;

public interface Attachment
{
    @NotNull
    public abstract String getContentId();
    
    public abstract String getContentType();
    
    public abstract byte[] asByteArray();
    
    public abstract DataHandler asDataHandler();
    
    public abstract Source asSource();
    
    public abstract InputStream asInputStream();
    
    public abstract void writeTo(OutputStream p0) throws IOException;
    
    public abstract void writeTo(SOAPMessage p0) throws SOAPException;
}
